# Pigeon Behavior Annotation Tool(labelaction)

This is a GUI-based tool for annotating pigeon behavior in video files. Built using Python and PyQt5, this application allows users to load a video, navigate through frames, and label different behaviors for multiple subjects (referred to as "pigeons" in this tool).

## Features

- **Video Loading**: Supports video file loading and displays frames for easy annotation.
- **Behavior Labeling**: Enables labeling of actions for each subject in the video, specifically set for pigeon behavior tracking.
- **Frame Navigation**: Includes a slider to navigate through video frames efficiently.
- **Data Export**: Saves annotation data for later analysis or reporting.

## Prerequisites

- **Python** (>= 3.6)
- **Libraries**: The following libraries are required:
  - `PyQt5`
  - `OpenCV`
  - `pandas`
  
## License

This tool is licensed under the MIT License. Feel free to modify and use it as needed.

## Acknowledgments

 - PyQt5 for the GUI and OpenCV for video processing
 - GEMlab : https://www.gemlab.site

## Update log

'1.0.0' first release